revert erroneous 2b0b467727d110b8505517bd92261608e499f57f; we need
[claws.git] / autogen.sh
old mode 100644 (file)
new mode 100755 (executable)
index 9dae8dd..e4a95f0
@@ -38,8 +38,9 @@ if test "$1" = "--build-w32"; then
             --with-gpgme-prefix=${w32root} \
              --with-config-dir="Claws-mail" \
              --disable-openssl --disable-dillo-viewer-plugin \
-             --disable-nls --disable-libetpan --disable-aspell \
+             --disable-nls --disable-libetpan --disable-enchant \
              --disable-trayicon-plugin --disable-spamassassin-plugin \
+             --disable-bogofilter-plugin --disable-valgrind \
              PKG_CONFIG_LIBDIR="$w32root/lib/pkgconfig"
 
     rc=$?
@@ -50,21 +51,25 @@ fi
 bisonver=`bison --version`
 
 if [ "$bisonver" = "" ]; then
-       echo Bison is needed to compile Claws Mail CVS
+       echo Bison is needed to compile Claws Mail git
        exit 1
 fi
 
-flexver=`flex --version|sed "s/.* //"`
+if [ "$LEX" != "" ]; then
+       flexver=`$LEX --version|sed "s/.* //"`
+else
+       flexver=`flex --version|sed "s/.* //"`
+fi
 
 if [ "$flexver" = "" ]; then
-       echo Flex 2.5.31 or greater is needed to compile Claws Mail CVS
+       echo Flex 2.5.31 or greater is needed to compile Claws Mail git
        exit 1
 else
        flex_major=`echo $flexver|sed "s/\..*//"`
        flex_minor=`echo $flexver|sed "s/$flex_major\.\(.*\)\..*/\1/"`
        flex_micro=`echo $flexver|sed "s/$flex_major\.$flex_minor\.\(.*\)/\1/"`
        if [ $flex_major -lt 2 -o $flex_minor -lt 5 -o $flex_micro -lt 31 ]; then
-               echo Flex 2.5.31 or greater is needed to compile Claws Mail CVS
+               echo Flex 2.5.31 or greater is needed to compile Claws Mail git
                exit 1
        fi
 fi